---
name: payment-intents-routes
description: Handle 12 OpenAPI operation(s) under /v1/payment_intents for the payment intents route group.
---

# payment intents API Routes

Handle 12 OpenAPI operation(s) under /v1/payment_intents for the payment intents route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### get_payment_intents

- Operation ID: `get_payment_intents`
- Route: `GET /v1/payment_intents`
- Mode: READ
- Summary: List all PaymentIntents
- Parameters:
  - `created` in `query`
  - `customer` in `query`
  - `customer_account` in `query`
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
- Body: JSON request body accepted.

### post_payment_intents

- Operation ID: `post_payment_intents`
- Route: `POST /v1/payment_intents`
- Mode: WRITE
- Summary: Create a PaymentIntent
- Body: JSON request body accepted.

### get_payment_intents_search

- Operation ID: `get_payment_intents_search`
- Route: `GET /v1/payment_intents/search`
- Mode: READ
- Summary: Search PaymentIntents
- Parameters:
  - `expand` in `query`
  - `limit` in `query`
  - `page` in `query`
  - `query` in `query` required
- Body: JSON request body accepted.

### get_payment_intents_intent

- Operation ID: `get_payment_intents_intent`
- Route: `GET /v1/payment_intents/{intent}`
- Mode: READ
- Summary: Retrieve a PaymentIntent
- Parameters:
  - `client_secret` in `query`
  - `expand` in `query`
  - `intent` in `path` required
- Body: JSON request body accepted.

### post_payment_intents_intent

- Operation ID: `post_payment_intents_intent`
- Route: `POST /v1/payment_intents/{intent}`
- Mode: WRITE
- Summary: Update a PaymentIntent
- Parameters:
  - `intent` in `path` required
- Body: JSON request body accepted.

### get_payment_intents_intent_amount_details_line_items

- Operation ID: `get_payment_intents_intent_amount_details_line_items`
- Route: `GET /v1/payment_intents/{intent}/amount_details_line_items`
- Mode: READ
- Summary: List all PaymentIntent LineItems
- Parameters:
  - `ending_before` in `query`
  - `expand` in `query`
  - `intent` in `path` required
  - `limit` in `query`
  - `starting_after` in `query`
- Body: JSON request body accepted.

### post_payment_intents_intent_apply_customer_balance

- Operation ID: `post_payment_intents_intent_apply_customer_balance`
- Route: `POST /v1/payment_intents/{intent}/apply_customer_balance`
- Mode: WRITE
- Summary: Reconcile a customer_balance PaymentIntent
- Parameters:
  - `intent` in `path` required
- Body: JSON request body accepted.

### post_payment_intents_intent_cancel

- Operation ID: `post_payment_intents_intent_cancel`
- Route: `POST /v1/payment_intents/{intent}/cancel`
- Mode: WRITE
- Summary: Cancel a PaymentIntent
- Parameters:
  - `intent` in `path` required
- Body: JSON request body accepted.

### post_payment_intents_intent_capture

- Operation ID: `post_payment_intents_intent_capture`
- Route: `POST /v1/payment_intents/{intent}/capture`
- Mode: WRITE
- Summary: Capture a PaymentIntent
- Parameters:
  - `intent` in `path` required
- Body: JSON request body accepted.

### post_payment_intents_intent_confirm

- Operation ID: `post_payment_intents_intent_confirm`
- Route: `POST /v1/payment_intents/{intent}/confirm`
- Mode: WRITE
- Summary: Confirm a PaymentIntent
- Parameters:
  - `intent` in `path` required
- Body: JSON request body accepted.

### post_payment_intents_intent_increment_authorization

- Operation ID: `post_payment_intents_intent_increment_authorization`
- Route: `POST /v1/payment_intents/{intent}/increment_authorization`
- Mode: WRITE
- Summary: Increment an authorization
- Parameters:
  - `intent` in `path` required
- Body: JSON request body accepted.

### post_payment_intents_intent_verify_microdeposits

- Operation ID: `post_payment_intents_intent_verify_microdeposits`
- Route: `POST /v1/payment_intents/{intent}/verify_microdeposits`
- Mode: WRITE
- Summary: Verify microdeposits on a PaymentIntent
- Parameters:
  - `intent` in `path` required
- Body: JSON request body accepted.
